// Package v10 ...
//
// Description : v10 ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2025-01-24 10:32
package v10

import (
	"errors"
	"fmt"
	"git.zhangdeman.cn/zhangdeman/consts"
	"strings"
)

// DefaultValidateRuleGenerateFunc 验证规则生成的默认方法
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 10:33 2025/1/24
func DefaultValidateRuleGenerateFunc(validateRule consts.ValidatorRule, paramList ...any) (express string, err error) {
	ruleConfig := validateRule.Config()
	if len(ruleConfig.ValidatorRule.String()) == 0 {
		return "", errors.New("validate rule is empty")
	}
	if len(paramList) == 0 {
		return ruleConfig.ValidatorRule.String(), nil
	}
	paramStrList := make([]string, 0)
	for _, param := range paramList {
		paramStrList = append(paramStrList, fmt.Sprintf("%v", param))
	}
	return ruleConfig.ValidatorRule.String() + "=" + strings.Join(paramStrList, " "), nil
}
